<?php

namespace RxConnexionBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;
use RxConnexionBundle\Entity\Base\BaseEntity;

/**
 * @ORM\Entity(repositoryClass="RxConnexionBundle\Repository\FaxTranOutboundRepository")
 * @ORM\Table(name="faxing_option_outbound", indexes={@ORM\Index(name="IDX_000AAA", columns={"source", "status"}), @ORM\Index(name="IDX_000BBB", columns={"source"})})
 */

class FaxingOptionOutboundEntity extends BaseEntity
{
    const FAXING_OPTION = 'FO';

    /**
     * @ORM\Column(type="string", length=20, nullable=true)
     */
    protected $source;

    /**
     * @ORM\Column(type="string")
     */
    protected $faxType;

    /**
     * @ORM\Column(type="string")
     */
    protected $faxNo;

    /**
     * @ORM\Column(type="string")
     */
    protected $fileName;

    /**
     * @ORM\Column(type="boolean")
     */
    protected $status;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $faxId;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $msg;

    /**
     * @ORM\Column(name="is_deleted", type="boolean")
     */
    protected $isDeleted;

    /**
     * @ORM\ManyToOne(targetEntity="RxConnexionBundle\Entity\FaxingOptionEntity", inversedBy="faxingOptionOutbound")
     * @ORM\JoinColumn(name="faxing_option_id", referencedColumnName="id")
     */
    protected $faxingOption;

    /**
     * Set createdAt
     *
     * @ORM\PrePersist
     */
    public function setCreatedAtValue()
    {
        parent::setCreatedAtValue();
        $this->isDeleted = 0;
    }

    /*--------------------------------------------------------------------------------------------------------*/
    /*					User Defined Setters and Getters													  */
    /*--------------------------------------------------------------------------------------------------------*/

    /*--------------------------------------------------------------------------------------------------------*/
    /*					Setters and Getters																	  */
    /*--------------------------------------------------------------------------------------------------------*/


    /**
     * Set source
     *
     * @param string $source
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setSource($source)
    {
        $this->source = $source;

        return $this;
    }

    /**
     * Get source
     *
     * @return string
     */
    public function getSource()
    {
        return $this->source;
    }

    /**
     * Set faxType
     *
     * @param string $faxType
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setFaxType($faxType)
    {
        $this->faxType = $faxType;

        return $this;
    }

    /**
     * Get faxType
     *
     * @return string
     */
    public function getFaxType()
    {
        return $this->faxType;
    }

    /**
     * Set faxNo
     *
     * @param string $faxNo
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setFaxNo($faxNo)
    {
        $this->faxNo = $faxNo;

        return $this;
    }

    /**
     * Get faxNo
     *
     * @return string
     */
    public function getFaxNo()
    {
        return $this->faxNo;
    }

    /**
     * Set fileName
     *
     * @param string $fileName
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setFileName($fileName)
    {
        $this->fileName = $fileName;

        return $this;
    }

    /**
     * Get fileName
     *
     * @return string
     */
    public function getFileName()
    {
        return $this->fileName;
    }

    /**
     * Set status
     *
     * @param boolean $status
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setStatus($status)
    {
        $this->status = $status;

        return $this;
    }

    /**
     * Get status
     *
     * @return boolean
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * Set faxId
     *
     * @param string $faxId
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setFaxId($faxId)
    {
        $this->faxId = $faxId;

        return $this;
    }

    /**
     * Get faxId
     *
     * @return string
     */
    public function getFaxId()
    {
        return $this->faxId;
    }

    /**
     * Set msg
     *
     * @param string $msg
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setMsg($msg)
    {
        $this->msg = $msg;

        return $this;
    }

    /**
     * Get msg
     *
     * @return string
     */
    public function getMsg()
    {
        return $this->msg;
    }

    /**
     * Set isDeleted
     *
     * @param boolean $isDeleted
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setIsDeleted($isDeleted)
    {
        $this->isDeleted = $isDeleted;

        return $this;
    }

    /**
     * Get isDeleted
     *
     * @return boolean
     */
    public function getIsDeleted()
    {
        return $this->isDeleted;
    }

    /**
     * Set faxingOption
     *
     * @param \RxConnexionBundle\Entity\FaxingOptionEntity $faxingOption
     *
     * @return FaxingOptionOutboundEntity
     */
    public function setFaxingOption(\RxConnexionBundle\Entity\FaxingOptionEntity $faxingOption = null)
    {
        $this->faxingOption = $faxingOption;

        return $this;
    }

    /**
     * Get faxingOption
     *
     * @return \RxConnexionBundle\Entity\FaxingOptionEntity
     */
    public function getFaxingOption()
    {
        return $this->faxingOption;
    }
}
